commoble.bagofyurting

## Class ShapelessBagUpgradeRecipe

- java.lang.Object
- - net.minecraft.item.crafting.ShapelessRecipe
  - - commoble.bagofyurting.ShapelessBagUpgradeRecipe

All Implemented Interfaces:
  net.minecraft.item.crafting.ICraftingRecipe, net.minecraft.item.crafting.IRecipe<net.minecraft.inventory.CraftingInventory>

    public class ShapelessBagUpgradeRecipe
    extends net.minecraft.item.crafting.ShapelessRecipe

### Nested Class Summary

Nested Classes
`static class` `ShapelessBagUpgradeRecipe.Serializer`

### Constructor Summary

Constructors
Constructor and Description
`ShapelessBagUpgradeRecipe(net.minecraft.util.ResourceLocation idIn, java.lang.String groupIn, net.minecraft.item.ItemStack recipeOutputIn, net.minecraft.util.NonNullList<net.minecraft.item.crafting.Ingredient> recipeItemsIn, int displayRadius)`

### Method Summary

All Methods Instance Methods Concrete Methods
`net.minecraft.item.ItemStack` `getCraftingResult(net.minecraft.inventory.CraftingInventory craftingSlots)` Returns an Item that is the result of this recipe Returns the output of the recipe, but with radius NBT equal to smallest among inputs + 1
`net.minecraft.item.ItemStack` `getRecipeOutput()` Get the result of this recipe, usually for display purposes (e.g.
`net.minecraft.item.crafting.IRecipeSerializer<?>` `getSerializer()`

### Methods inherited from class net.minecraft.item.crafting.ShapelessRecipe

`canFit, getGroup, getId, getIngredients, matches`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.item.crafting.ICraftingRecipe

`getType`

### Methods inherited from interface net.minecraft.item.crafting.IRecipe

`getIcon, getRemainingItems, isDynamic`

### Constructor Detail

#### ShapelessBagUpgradeRecipe

    public ShapelessBagUpgradeRecipe(net.minecraft.util.ResourceLocation idIn,
                                     java.lang.String groupIn,
                                     net.minecraft.item.ItemStack recipeOutputIn,
                                     net.minecraft.util.NonNullList<net.minecraft.item.crafting.Ingredient> recipeItemsIn,
                                     int displayRadius)

### Method Detail

#### getSerializer

    public net.minecraft.item.crafting.IRecipeSerializer<?> getSerializer()

Specified by:
  `getSerializer` in interface `net.minecraft.item.crafting.IRecipe<net.minecraft.inventory.CraftingInventory>`
Overrides:
  `getSerializer` in class `net.minecraft.item.crafting.ShapelessRecipe`

#### getRecipeOutput

    public net.minecraft.item.ItemStack getRecipeOutput()

Get the result of this recipe, usually for display purposes (e.g. recipe book). If your recipe has more than one possible result (e.g. it's dynamic and depends on its inputs), then return an empty stack.

Specified by:
  `getRecipeOutput` in interface `net.minecraft.item.crafting.IRecipe<net.minecraft.inventory.CraftingInventory>`
Overrides:
  `getRecipeOutput` in class `net.minecraft.item.crafting.ShapelessRecipe`

#### getCraftingResult

    public net.minecraft.item.ItemStack getCraftingResult(net.minecraft.inventory.CraftingInventory craftingSlots)

Returns an Item that is the result of this recipe Returns the output of the recipe, but with radius NBT equal to smallest among inputs + 1

Specified by:
  `getCraftingResult` in interface `net.minecraft.item.crafting.IRecipe<net.minecraft.inventory.CraftingInventory>`
Overrides:
  `getCraftingResult` in class `net.minecraft.item.crafting.ShapelessRecipe`